intactComplex-class {Rintact} | R Documentation

## Class "intactComplex"

### Description

A class representing complex data.

### Objects from the Class

Objects are usually created by `psi25complex`.

### Slots

`intactId`:
  character, identifier of the complex in IntAct.
`shortLabel`:
  character, short label of the complex.
`fullName`:
  character, full name of the complex.
`organismName`:
  character, the unique organism names of the interactors in this complex.
`taxId`:
  character, the unique NCBI taxonomy ID(s) of the interactors in this complex.
`interactors`:
  data.frame. The data.frame contains two columns. The first column is the UniProt ID(s) of the interactors, the second column is the interactor's multiplicity.
`attributes`:
  named character. The name is the attribute name, the value is the attribute value. Attribute names include: `curated-complex`, `complex-synonym`, `kd`, `complex-properties`, `disease`.

### Methods

show
  `signature(object = "intactComplex")`: a print method

### Author(s)

Nianhua Li

### See Also

`psi25complex`

[Package Rintact version 1.4.0 Index]